Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EEDeployedObject

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, J2EEManagedObject, NotificationBroadcaster, NotificationEmitter, StateManageable

All Known Subinterfaces:
  AppClientModule, EJBModule, J2EEApplication, J2EEModule, ResourceAdapterModule, WebModule

public interface J2EEDeployedObject
extends J2EEManagedObject, StateManageable

Field Summary

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.j2ee.StateManageable
`STATE_FAILED, STATE_RUNNING, STATE_STARTING, STATE_STOPPED, STATE_STOPPING`

Method Summary
`java.lang.String` | `getdeploymentDescriptor()` The deploymentDescriptor string must contain the original XML deployment descriptor that was created for this module during the deployment process.
`java.lang.String` | `getserver()` The J2EEServer this module is deployed on.
`J2EEServer` | `getServer()`

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Methods inherited from interface com.sun.appserv.management.j2ee.StateManageable
`getstartTime, getstate, start, startRecursive, stop`

Method Detail

### getdeploymentDescriptor

    public java.lang.String getdeploymentDescriptor()

  The deploymentDescriptor string must contain the original XML deployment descriptor that was created for this module during the deployment process.

  Note that the Attribute name is case-sensitive "deploymentDescriptor" as defined by JSR 77.

### getserver

    public java.lang.String getserver()

  The J2EEServer this module is deployed on. Get the ObjectNames, as String.

  Note that the Attribute name is case-sensitive "server" as defined by JSR 77.

  Returns:
    the ObjectName of the server, as a String

### getServer

    public J2EEServer getServer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.